View Issue Details

IDProjectCategoryView StatusLast Update
11589Feature requestsExpression Managerpublic2020-03-06 19:23
Reporterollehar Assigned Tocdorin  
PrioritynoneSeverityfeature 
Status assignedResolutionreopened 
Summary11589: Quota should be accessible in relevance equation
Description

It should be possible to hide a question if a quota is met or not.

TagsNo tags attached.

Relationships

related to 15246 testing Allow fixed function (no js, only PHP) in expression mùanager 

Activities

jelo

jelo

2016-09-25 16:04

partner   ~40945

Quotas should be accessible for conditions and EM.
The quotas should be available via percentage and via counts.

See attached screenshot for a typical way to do it in other survey packages.
Another way to access quota during the interview is to get the status of quota questions. In the screenshot you can access the status (quota questions shown,answered and not answered as well).

holch

holch

2018-01-25 12:39

reporter   ~46083

The quota system is very basic. For example there is no quota on "not having clicked" an item (https://www.limesurvey.org/forum/german-forum/113472-pflichtantwort-bei-mehrfachauswahl-m%C3%B6glich)

Currently, this can only be solved via a workaround with a second hidden question.

holch

holch

2018-01-25 12:41

reporter   ~46084

by the way: I can't see the screenshot.

jelo

jelo

2018-03-01 22:15

partner   ~46858

Other screenshots. No longer remember what I wanted to attach 2016.

Qualtrics.Quota01.JPG (55,163 bytes)   
Qualtrics.Quota01.JPG (55,163 bytes)   
Qualtrics.Quota02.JPG (51,054 bytes)   
Qualtrics.Quota02.JPG (51,054 bytes)   
Qualtrics.Quota03.JPG (50,875 bytes)   
Qualtrics.Quota03.JPG (50,875 bytes)   
Qualtrics.Quota04.JPG (56,658 bytes)   
Qualtrics.Quota04.JPG (56,658 bytes)   
DenisChenu

DenisChenu

2019-02-04 16:34

developer   ~50396

It must not be related to quota but to "current response".

Sample :

  • When you can come (you have 10 places for each day) : Monday, thirsday etc …
    OK : quota can be used, but clearly better with DAY_MONDAY.count <= 10

But for single choice need too DAY.choice.monday <=10 (for example)

DenisChenu

DenisChenu

2019-09-07 11:22

developer   ~53523

See https://bugs.limesurvey.org/view.php?id=15246 sample plugin

DenisChenu

DenisChenu

2019-10-23 13:33

developer   ~54185

With https://github.com/LimeSurvey/LimeSurvey/pull/1320

Potential Question Theme : hide (don't send HTML) with statCount function

cdorin

cdorin

2020-03-05 18:56

manager   ~56326

We will focus this year on quotas and on improving ExpressionScript. We will create the bug reports/tickets accordingly when the time comes :)

ollehar

ollehar

2020-03-05 21:27

administrator   ~56338

Please don't close tickets WITHOUT PRESERVING the discussion, information etc.

holch

holch

2020-03-05 22:32

reporter   ~56340

Don't curse, Ollehar...

DenisChenu

DenisChenu

2020-03-06 10:05

developer   ~56350

With statFunctions we already have something ready for some part :)

But : we don't have "answer filter" by Expression

ollehar

ollehar

2020-03-06 10:47

administrator   ~56351

Sorry for my language.

jelo

jelo

2020-03-06 13:35

partner   ~56352

I don't understand, why this feature request was closed? Was that a mistake? Or what was the intention?

Perhaps it would help, when future architectural decision will be documented. To better understand what happend years ago ;-)

Status
What is the status, such as proposed, accepted, rejected, deprecated, superseded, etc.?

Context
What is the issue that we're seeing that is motivating this decision or change?

Decision
What is the change that we're proposing and/or doing?

Consequences
What becomes easier or more difficult to do because of this change?

https://github.com/joelparkerhenderson/architecture_decision_record/blob/master/adr_template_by_michael_nygard.md
https://adr.github.io/

ollehar

ollehar

2020-03-06 13:45

administrator   ~56353

I don't understand, why this feature request was closed? Was that a mistake? Or what was the intention?

Just some internal miscommunication, please ignore. It should be open and we'll continue to discuss it.

DenisChenu

DenisChenu

2020-03-06 19:23

developer   ~56357

The description is

It should be possible to hide a question if a quota is met or not.

It can be done with simple quota currentky; Since we have countif exression function : we can close this issue ...

Or create a lot of child issue

  1. Relevance for answers
    1. In radio list
    2. in dropdown ( https://gitlab.com/SondagesPro/QuestionSettingsType/unicityOnSingleChoice)
    3. On a single option on a single sub question in array question type
  2. add a currentQuotaCount(quotaid ???) plugin
    1. The simplest part, but since i'm the only one working on core plugin, i'm unsure someone still interested by this way of simplify the core code ....
    2. Add a quota name to allow user to find the quota id .... and don't loos their good system when copy survey

Issue History

Date Modified Username Field Change
2016-08-26 16:45 ollehar New Issue
2016-08-29 08:55 c_schmitz Project Bug reports => Feature requests
2016-09-25 16:04 jelo Note Added: 40945
2018-01-25 12:39 holch Note Added: 46083
2018-01-25 12:41 holch Note Added: 46084
2018-03-01 22:15 jelo File Added: Qualtrics.Quota01.JPG
2018-03-01 22:15 jelo File Added: Qualtrics.Quota02.JPG
2018-03-01 22:15 jelo File Added: Qualtrics.Quota03.JPG
2018-03-01 22:15 jelo File Added: Qualtrics.Quota04.JPG
2018-03-01 22:15 jelo Note Added: 46858
2019-02-04 16:34 DenisChenu Note Added: 50396
2019-09-07 10:57 DenisChenu Relationship added related to 15246
2019-09-07 11:22 DenisChenu File Added: Capture d’écran du 2019-09-07 11-22-07.png
2019-09-07 11:22 DenisChenu Note Added: 53523
2019-10-23 13:33 DenisChenu Note Added: 54185
2020-03-05 18:55 cdorin Severity @50@ => feature
2020-03-05 18:55 cdorin Status new => closed
2020-03-05 18:55 cdorin Product Version 2.50.x =>
2020-03-05 18:55 cdorin Target Version 2.50.x =>
2020-03-05 18:56 cdorin Note Added: 56326
2020-03-05 21:27 ollehar Assigned To => ollehar
2020-03-05 21:27 ollehar Status closed => feedback
2020-03-05 21:27 ollehar Resolution open => reopened
2020-03-05 21:27 ollehar Note Added: 56338
2020-03-05 22:32 holch Note Added: 56340
2020-03-06 09:47 cdorin Note View State: 56338: private
2020-03-06 09:48 cdorin Note View State: 56338: public
2020-03-06 10:05 DenisChenu Note Added: 56350
2020-03-06 10:29 cdorin Assigned To ollehar => cdorin
2020-03-06 10:47 ollehar Note Added: 56351
2020-03-06 10:47 ollehar Status feedback => assigned
2020-03-06 13:35 jelo Note Added: 56352
2020-03-06 13:45 ollehar Note Added: 56353
2020-03-06 19:23 DenisChenu Note Added: 56357